body {
  margin: 0;
  font-family: "Raleway", sans-serif;
  color: #112242;
}

.navbar {
  display: flex;
  align-items: center;
  height: 50px;
  padding: 0 8vw;
  font-weight: 500;
  box-shadow: 0 2px 6px -2px rgba(0, 0, 0, 0.2);
  position: relative;
}

.logo {
  margin-right: 2vw;
  height: 100%;
  max-height: 20px;
}

.logo:hover {
  cursor: pointer;
}

.logo a:hover:after {
  transform: scale(0);
}

.links-1 {
  display: flex;
  gap: 20px;

  font-size: clamp(12px, 1.4vw, 18px);
}

.links-2 {
  display: flex;
  gap: clamp(20px, 4vw, 80px);
  margin-left: auto;
  padding-left: 20px;
  font-size: clamp(12px, 1.4vw, 18px);
}

a {
  cursor: pointer;
  position: relative;
  text-decoration: none;
  color: #112242;
}

a:visited {
  color: #112242;
}

a::after {
  content: "";
  position: absolute;
  left: 0;
  bottom: 0;

  width: 100%;
  height: 1px;
  background-color: #112242;

  transform: scaleX(0);
  transform-origin: left;
  transition: transform 0.3s ease;
}

a:hover::after {
  transform: scaleX(1);
}

.contact {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  padding: 60px;
}

.contact-info {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  padding-top: 30px;
}

#logo {
  width: 100%;
  max-width: 500px;
}

.social-media {
  display: flex;
  gap: 40px;
  padding-top: 30px;
}

.social-media-icon {
  width: 100%;
  max-width: 40px;
}

.form {
  display: flex;
  flex-direction: column;
  align-items: center;
  background-color: #eaf4ff;
  padding: 60px;
  margin: 20px;
}

.contact-form {
  display: flex;
  flex-direction: column;
  padding-top: 20px;
}
label {
  font-size: small;
  font-weight: 700;
}

input {
  border: none;
  width: clamp(200px, 30vw, 380px);
  box-shadow: 0 2px 6px -2px rgba(0, 0, 0, 0.2);
  padding: 10px;
  margin-top: 5px;
  margin-bottom: 30px;
  border-radius: 3px;
}

textarea {
  border: none;
  height: 100px;
  box-shadow: 0 2px 6px -2px rgba(0, 0, 0, 0.2);
  margin-top: 5px;
  margin-bottom: 30px;
  border-radius: 3px;
}

button {
  border: none;
  background-color: #112242;
  color: white;
  width: 100px;
  padding: 10px 20px;
  border-radius: 4px;
  font-weight: 700;
  letter-spacing: 1px;
  align-self: center;
}
button:hover {
  cursor: pointer;
  background-color: #132649;
}

@media (min-width: 585px) {
  .links-1 {
    padding-left: 20px;
    font-size: clamp(14px, 1.5vw, 18px);
    gap: 30px;
  }

  .links-2 {
    font-size: clamp(14px, 1.5vw, 18px);
  }

  .info-circle {
    width: 500px;
    height: 500px;
  }
}

/*************DESKTOP**************/

@media (min-width: 900px) {
  .navbar {
    display: flex;
    align-items: center;
    height: 50px;
    padding: 0 8vw;
    font-weight: 500;
    box-shadow: 0 2px 6px -2px rgba(0, 0, 0, 0.2);
    position: relative;
  }

  .logo {
    margin-right: 4vw;
    height: 100%;
    max-height: 30px;
  }

  .links-1 {
    display: flex;
    gap: 80px;
  }

  .links-2 {
    display: flex;
    gap: clamp(20px, 4vw, 80px);
    margin-left: auto;
  }

  a {
    cursor: pointer;
    position: relative;
    text-decoration: none;
  }

  a::after {
    content: "";
    position: absolute;
    left: 0;
    bottom: 0;

    width: 100%;
    height: 1px;
    background-color: #112242;

    transform: scaleX(0);
    transform-origin: left;
    transition: transform 0.3s ease;
  }

  a:hover::after {
    transform: scaleX(1);
  }
}
